/* Q10 StdShippingCost Template */

/* Uses the $SCENMEMBER template parameter
 * in addition to the general parameters
 */


select
	custlevel.$CUST_GIVEN_LEVEL_FNAME,
	timelevel.$TIME_GIVEN_LEVEL_FNAME,
	'$SCENMEMBER',
	sum(a.value) / (count (timelevel.Month_level) * count (custlevel.store_level))
from 
	StdShipCost a, timelevel, custlevel
where
	    a.customer_level = custlevel.store_level
	and a.time_level = timelevel.Month_level
	and a.Scenario = '$SCENMEMBER'
	and custlevel.$CUST_GIVEN_LEVEL_FNAME = '$CUSTMEMBER'
	and timelevel.$TIME_GIVEN_LEVEL_FNAME = '$TIMEMEMBER'
;

/* end of template */
