/* Q10 A Template */
/* for actual scenario */
/* Uses $TABLE, $FUNC and $SCENMEMBER template parameters
 * in addition to the general parameters
 */


select
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME,
	chanlevel.$CHAN_GIVEN_LEVEL_FNAME,
	timelevel.$TIME_GIVEN_LEVEL_FNAME,
	'$SCENMEMBER',
	$FUNC
from 
	$TABLE a, prodlevel, timelevel, custlevel, chanlevel
where
	    a.product_level = prodlevel.code_level
	and a.customer_level = custlevel.store_level
	and a.channel_level = chanlevel.base_level
	and a.time_level = timelevel.Month_level
	and prodlevel.$PROD_GIVEN_LEVEL_FNAME = '$PRODMEMBER'
	and custlevel.$CUST_GIVEN_LEVEL_FNAME = '$CUSTMEMBER'
	and chanlevel.$CHAN_GIVEN_LEVEL_FNAME = '$CHANMEMBER'
	and timelevel.$TIME_GIVEN_LEVEL_FNAME = '$TIMEMEMBER'
group by
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME,
	chanlevel.$CHAN_GIVEN_LEVEL_FNAME,
	timelevel.$TIME_GIVEN_LEVEL_FNAME
;

/* end of template */
