/* Q10 Inventory template */
/* for inventory queries */

/* Uses $FUNC, $TABLE in addition to general template parameters */
/* $FUNC should be sum (InvXXXXXX), where XXXXXX is the relevant month */

select
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME,
	$FUNC
from 
	$TABLE a, prodlevel, custlevel
where
	    a.product_level = prodlevel.code_level
	and a.customer_level = custlevel.store_level
	and prodlevel.$PROD_GIVEN_LEVEL_FNAME = '$PRODMEMBER'
	and custlevel.$CUST_GIVEN_LEVEL_FNAME = '$CUSTMEMBER'
group by
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME
;

/* end of template */
